<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */

class Ai1wmoe_Export_OneDrive {

	public static function execute( $params ) {

		// Set progress
		Ai1wm_Status::info( __( 'Connecting to OneDrive...', AI1WMOE_PLUGIN_NAME ) );

		// Open archive file
		$archive = new Ai1wm_Compressor( ai1wm_archive_path( $params ) );

		// Set OneDrive client
		$onedrive = new ServMaskOneDriveClient(
			get_option( 'ai1wmoe_onedrive_token' ),
			get_option( 'ai1wmoe_onedrive_ssl', true )
		);

		// Initial file folder
		$onedrive->createFolder( ai1wm_archive_folder() );

		// Set upload URL
		$params['uploadUrl'] = $onedrive->uploadResumable(
			sprintf( '%s/%s', ai1wm_archive_folder(), ai1wm_archive_name( $params ) )
		);

		// Append EOF block
		$archive->close( true );

		return $params;
	}
}
