<?php
/**
 * Copyright (C) 2014-2017 ServMask Inc.
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * ███████╗███████╗██████╗ ██╗   ██╗███╗   ███╗ █████╗ ███████╗██╗  ██╗
 * ██╔════╝██╔════╝██╔══██╗██║   ██║████╗ ████║██╔══██╗██╔════╝██║ ██╔╝
 * ███████╗█████╗  ██████╔╝██║   ██║██╔████╔██║███████║███████╗█████╔╝
 * ╚════██║██╔══╝  ██╔══██╗╚██╗ ██╔╝██║╚██╔╝██║██╔══██║╚════██║██╔═██╗
 * ███████║███████╗██║  ██║ ╚████╔╝ ██║ ╚═╝ ██║██║  ██║███████║██║  ██╗
 * ╚══════╝╚══════╝╚═╝  ╚═╝  ╚═══╝  ╚═╝     ╚═╝╚═╝  ╚═╝╚══════╝╚═╝  ╚═╝
 */
?>

<div class="ai1wm-container">
	<div class="ai1wm-row">
		<div class="ai1wm-left">
			<div class="ai1wm-holder">
				<h1><i class="ai1wm-icon-gear"></i> <?php _e( 'OneDrive Settings', AI1WMOE_PLUGIN_NAME ); ?></h1>
				<br />
				<br />

				<div class="ai1wm-field">
					<?php if ( $token ) : ?>
						<p id="ai1wmoe-onedrive-details">
							<?php _e( 'Retrieving OneDrive account details..', AI1WMOE_PLUGIN_NAME ); ?>
						</p>

						<div id="ai1wmoe-onedrive-progress">
							<div id="ai1wmoe-onedrive-progress-bar"></div>
						</div>

						<p id="ai1wmoe-onedrive-space"></p>

						<form method="post" action="<?php echo esc_url( admin_url( 'admin-post.php?action=ai1wmoe_onedrive_revoke' ) ); ?>">
							<button type="submit" class="ai1wm-button-red" name="ai1wmoe_onedrive_logout" id="ai1wmoe-onedrive-logout">
								<i class="ai1wm-icon-onedrive"></i>
								<?php _e( 'Sign Out from your OneDrive account', AI1WMOE_PLUGIN_NAME ); ?>
							</button>
						</form>

					<?php else : ?>

						<form method="post" action="<?php echo esc_url( AI1WMOE_ONEDRIVE_URL ); ?>">
							<input type="hidden" name="ai1wmoe_client" id="ai1wmoe-client" value="<?php echo network_admin_url( 'admin.php?page=site-migration-onedrive-settings' ); ?>" />
							<button type="submit" class="ai1wm-button-blue" name="ai1wmoe_onedrive_link" id="ai1wmoe-onedrive-link">
								<i class="ai1wm-icon-onedrive"></i>
								<?php _e( 'Link your OneDrive account', AI1WMOE_PLUGIN_NAME ); ?>
							</button>
						</form>
					<?php endif; ?>
				</div>
			</div>

			<?php if ( $token ) : ?>
				<div id="ai1wmoe-backups" class="ai1wm-holder" style="margin-top:22px;">
					<form method="post" action="<?php echo esc_url( admin_url( 'admin-post.php?action=ai1wmoe_onedrive_settings' ) ); ?>">
						<h1><i class="ai1wm-icon-gear"></i> <?php _e( 'OneDrive Backups', AI1WMOE_PLUGIN_NAME ); ?></h1>
						<br />
						<br />

						<article class="ai1wmoe-article">
							<h3><?php _e( 'Configure your backup plan', AI1WMOE_PLUGIN_NAME ); ?></h3>
							<ul id="ai1wmoe-onedrive-cron">
								<li>
									<label for="ai1wmoe-onedrive-cron-hourly">
										<input type="checkbox" name="ai1wmoe_onedrive_cron[]" id="ai1wmoe-onedrive-cron-hourly" value="hourly" <?php echo in_array( 'hourly', $onedrive_backup_schedules ) ? 'checked' : null; ?> />
										<?php _e( 'Every hour', AI1WMOE_PLUGIN_NAME ); ?>
									</label>
								</li>
								<li>
									<label for="ai1wmoe-onedrive-cron-daily">
										<input type="checkbox" name="ai1wmoe_onedrive_cron[]" id="ai1wmoe-onedrive-cron-daily" value="daily" <?php echo in_array( 'daily', $onedrive_backup_schedules ) ? 'checked' : null; ?> />
										<?php _e( 'Every day', AI1WMOE_PLUGIN_NAME ); ?>
									</label>
								</li>
								<li>
									<label for="ai1wmoe-onedrive-cron-weekly">
										<input type="checkbox" name="ai1wmoe_onedrive_cron[]" id="ai1wmoe-onedrive-cron-weekly" value="weekly" <?php echo in_array( 'weekly', $onedrive_backup_schedules ) ? 'checked' : null; ?> />
										<?php _e( 'Every week', AI1WMOE_PLUGIN_NAME ); ?>
									</label>
								</li>
								<li>
									<label for="ai1wmoe-onedrive-cron-monthly">
										<input type="checkbox" name="ai1wmoe_onedrive_cron[]" id="ai1wmoe-onedrive-cron-monthly" value="monthly" <?php echo in_array( 'monthly', $onedrive_backup_schedules ) ? 'checked' : null; ?> />
										<?php _e( 'Every month', AI1WMOE_PLUGIN_NAME ); ?>
									</label>
								</li>
							</ul>

							<p>
								<?php _e( 'Last backup date:', AI1WMOE_PLUGIN_NAME ); ?>
								<strong>
									<?php echo $last_backup_date; ?>
								</strong>
							</p>

							<p>
								<?php _e( 'Next backup date:', AI1WMOE_PLUGIN_NAME ); ?>
								<strong>
									<?php echo $next_backup_date; ?>
								</strong>
							</p>

							<p>
								<label for="ai1wmoe-onedrive-ssl">
									<input type="checkbox" name="ai1wmoe_onedrive_ssl" id="ai1wmoe-onedrive-ssl" value="1" <?php echo empty( $ssl ) ? 'checked' : null; ?> />
									<?php _e( 'Disable connecting to OneDrive via SSL (only if export is failing)', AI1WMOE_PLUGIN_NAME ); ?>
								</label>
							</p>
						</article>

						<article class="ai1wmoe-article">
							<h3><?php _e( 'Notification settings', AI1WMOE_PLUGIN_NAME ); ?></h3>
							<p>
								<label for="ai1wmoe-notification-toggle">
									<input type="checkbox" id="ai1wmoe-notification-toggle" name="ai1wmoe_notification_toggle" <?php echo $notify ? 'checked' : null; ?> />
									<?php _e( 'Send an email when a backup is complete.', AI1WMOE_PLUGIN_NAME ); ?>
								</label>
							</p>

							<p>
								<label for="ai1wmoe-notification-email">
									<?php _e( 'Email address', AI1WMOE_PLUGIN_NAME ); ?>
									<br />
									<input class="ai1wmoe-email" style="width: 15rem;" type="email" id="ai1wmoe-notification-email" name="ai1wmoe_notification_email" value="<?php echo $email; ?>" />
								</label>
							</p>
						</article>

						<article class="ai1wmoe-article">
							<h3><?php _e( 'Retention settings', AI1WMOE_PLUGIN_NAME ); ?></h3>

							<p>
								<div class="ai1wm-field">
									<label for="ai1wmoe-onedrive-backups">
										<?php _e( 'Keep the most recent', AI1WMOE_PLUGIN_NAME ); ?>
										<input style="width: 3em" type="number" min="0" name="ai1wmoe_onedrive_backups" id="ai1wmoe-onedrive-backups" value="<?php echo intval( $backups ); ?>" />
									</label>
									<?php _e( 'backups. <small>Default: <strong>0</strong> unlimited.</small>', AI1WMOE_PLUGIN_NAME ); ?>
								</div>

								<div class="ai1wm-field">
									<label for="ai1wmoe-onedrive-total">
										<?php _e( 'Limit the total size of backups to', AI1WMOE_PLUGIN_NAME ); ?>
										<input style="width: 4em" type="number" min="0" name="ai1wmoe_onedrive_total" id="ai1wmoe-onedrive-total" value="<?php echo intval( $total ); ?>" />
									</label>
									<select style="margin-top: -2px" name="ai1wmoe_onedrive_total_unit" id="ai1wmoe-onedrive-total-unit">
										<option value="MB" <?php echo strpos( $total, 'MB' ) !== false ? 'selected="selected"' : null; ?>><?php _e( 'MB', AI1WMOE_PLUGIN_NAME ); ?></option>
										<option value="GB" <?php echo strpos( $total, 'GB' ) !== false ? 'selected="selected"' : null; ?>><?php _e( 'GB', AI1WMOE_PLUGIN_NAME ); ?></option>
									</select>
									<?php _e( '<small>Default: <strong>0</strong> unlimited.</small>', AI1WMOE_PLUGIN_NAME ); ?>
								</div>
							</p>
						</article>

						<p>
							<button type="submit" class="ai1wm-button-blue" name="ai1wmoe_onedrive_update" id="ai1wmoe-onedrive-update">
								<i class="ai1wm-icon-onedrive"></i>
								<?php _e( 'Update', AI1WMOE_PLUGIN_NAME ); ?>
							</button>
						</p>
					</form>
				</div>
			<?php endif; ?>
		</div>
		<div class="ai1wm-right">
			<div class="ai1wm-sidebar">
				<div class="ai1wm-segment">
					<?php if ( ! AI1WM_DEBUG ) : ?>
						<?php include AI1WM_TEMPLATES_PATH . '/common/share-buttons.php'; ?>
					<?php endif; ?>

					<h2><?php _e( 'Leave Feedback', AI1WMOE_PLUGIN_NAME ); ?></h2>

					<?php include AI1WM_TEMPLATES_PATH . '/common/leave-feedback.php'; ?>
				</div>
			</div>
		</div>
	</div>
</div>
